
Infrastructure - Task #7356

Feature # 6498 (Closed): V2 Metacat MN and CN Support

The mn.updateSystemMetadata method should control the increase the serialVersion number.

2015-09-15 21:20 - Jing Tao

Status: Rejected Start date: 2015-09-15

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 0%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Currently, the mn.updateSystemMetadata method only accept the new system metadata which has a higher version than the current

one on the MN. So the client has to increase the serial version.

However, the correct behavior should be that the serial version of the new system metadata can equal the current version on the MN

and the mn increase the version. So it is not necessary for clients to increase the serial version.

History

#1 - 2015-09-17 00:14 - Jing Tao

- Parent task set to #6498

#2 - 2015-09-18 23:48 - Jing Tao

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

Only CN.setReplicaStatus and CN.updateReplicationMetadata will increase serialVersion number.
